Bug 511115 - uuid-php broken in rawhide
uuid-php broken in rawhide
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: uuid (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Michal Hlavinka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-13 14:31 EDT by Remi Collet
Modified: 2010-04-21 11:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-21 11:08:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2009-07-13 14:31:39 EDT
After PHP 5.3.0 update :

1/ There is no ABI check for PHP version, so uuid-php install, but fails to
load

$ php -v -d extension=uuid.so
PHP Warning:  PHP Startup: uuid: Unable to initialize module
Module compiled with module API=20060613
PHP    compiled with module API=20090626
These options need to match
 in Unknown on line 0

I will fix this.

2/ uuid-php don't use php-config --extension-dir

I will fix this

3/ no php configuration script provided

I will add /etc/php.d/uuid.ini

4/ Nedd rebuild against php 5.3.0

I will do it



Please, check my change and close this bug if you find all is ok.
Comment 1 Remi Collet 2009-07-13 14:43:26 EDT
Build of uuid-1.6.1-7.fc12 done in rawhide

PHP extension install and load fine.  

It is probably a good idea to port the ABI check in previous Fedora version (if
an update is required for another reason)
Comment 2 Bug Zapper 2009-11-16 05:49:05 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Michal Hlavinka 2010-04-21 11:08:17 EDT
Thanks for fixing this. All changes looks ok. I've added php abi check to F-11 (cvs only, not build).

Note You need to log in before you can comment on or make changes to this bug.